NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.EmbossRegion Class Reference

Represents an emboss region object. More...

Inheritance diagram for NXOpen.Features.EmbossRegion:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ConvexityOption { Above, Below, Mixed }
 Describes whether the emboss geometry is above the target("Pad") or below the target("Pocket"), or both("Mixed"). More...
 

Public Member Functions

unsafe
NXOpen.Features.EmbossLimit[] 
GetLimits ()
 The emboss limits More...
 
unsafe void SetLimits (NXOpen.Features.EmbossLimit[] limits)
 The emboss limits More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.EmbossRegion.ConvexityOption 
Convexity [get, set]
 Returns or sets the convexity option More...
 
unsafe NXOpen.Direction Direction [get, set]
 Returns or sets the default direction More...
 
unsafe
NXOpen.Features.EmbossProjection 
Projection [get, set]
 Returns or sets the emboss projection object More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the section that is composed of chains More...
 
unsafe
NXOpen.Features.EmbossSidewall 
Sidewall [get, set]
 Returns or sets the emboss sidewall object More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents an emboss region object.

This class provides methods to set and get the various emboss region sub components.

Following are default values and options:

Section User must set it

Direction If user do not specify it, it uses section normal as default direction.

Convexity Option Features.EmbossRegion.ConvexityOption.Mixed

Emboss Projection EmbossProjection object

Emboss Sidewall EmbossSidewall object

Emboss Limit (array) EmbossLimit object

Created in NX4.0.0

Member Enumeration Documentation

Describes whether the emboss geometry is above the target("Pad") or below the target("Pocket"), or both("Mixed").

Enumerator
Above 

Indicates the emboss geometry is above the target("Pad").

Below 

Indicates the emboss geometry is below the target("Pocket").

Mixed 

Indicates the emboss geometry is both above and below the Target("Mixed").

Default creation.

Member Function Documentation

unsafe NXOpen.Features.EmbossLimit [] NXOpen.Features.EmbossRegion.GetLimits ( )
inline

The emboss limits

Created in NX4.0.0

License requirements: None.

Returns
Array of EmbossLimit objects. In NX4, only one limit is supported.
unsafe void NXOpen.Features.EmbossRegion.SetLimits ( NXOpen.Features.EmbossLimit[]  limits)
inline

The emboss limits

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
limitsArray of EmbossLimit objects. In NX4, only one limit is supported.

Property Documentation

unsafe NXOpen.Features.EmbossRegion.ConvexityOption NXOpen.Features.EmbossRegion.Convexity
getset

Returns or sets the convexity option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.EmbossRegion.Direction
getset

Returns or sets the default direction

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EmbossProjection NXOpen.Features.EmbossRegion.Projection
getset

Returns or sets the emboss projection object

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.EmbossRegion.Section
getset

Returns or sets the section that is composed of chains

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EmbossSidewall NXOpen.Features.EmbossRegion.Sidewall
getset

Returns or sets the emboss sidewall object

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.